> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Network churn capacity

This endpoint returns a summary of activations and exits for all the whole network. The response gives you both the "All-time" aggregate, as well as the a paginated response on the averages of every day that precedes the current.


## OpenAPI

````yaml get /v0/eth/network/capacity
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/network/capacity:
    get:
      tags:
        - Network
      summary: Get Network Churn Capacity
      operationId: get_network_churn_capacity_v0_eth_network_capacity_get
      parameters:
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NetworkChurnCapacity'
                title: >-
                  Response Get Network Churn Capacity V0 Eth Network Capacity
                  Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    NetworkChurnCapacity:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        latestEpoch:
          type: integer
          minimum: 0
          title: Latestepoch
        activatedValidators:
          type: integer
          minimum: 0
          title: Activatedvalidators
        activationCapacityFilled:
          type: number
          minimum: 0
          title: Activationcapacityfilled
        exitedValidators:
          type: integer
          minimum: 0
          title: Exitedvalidators
        exitCapacityFilled:
          type: number
          minimum: 0
          title: Exitcapacityfilled
        activatedPercentage:
          type: number
          minimum: 0
          title: Activatedpercentage
        exitedPercentage:
          type: number
          minimum: 0
          title: Exitedpercentage
        churnLimit:
          type: integer
          minimum: 0
          title: Churnlimit
        activationChurnLimit:
          type: integer
          minimum: 0
          title: Activationchurnlimit
        exitChurnLimit:
          type: integer
          minimum: 0
          title: Exitchurnlimit
      type: object
      required:
        - timeWindow
        - latestEpoch
        - activatedValidators
        - activationCapacityFilled
        - exitedValidators
        - exitCapacityFilled
        - activatedPercentage
        - exitedPercentage
        - churnLimit
        - activationChurnLimit
        - exitChurnLimit
      title: NetworkChurnCapacity
      examples:
        - activatedPercentage: 0.47689
          activatedValidators: 238445
          activationCapacityFilled: 0.62372
          activationChurnLimit: 382294
          churnLimit: 382294
          exitCapacityFilled: 0.0025
          exitChurnLimit: 382294
          exitedPercentage: 0.00191
          exitedValidators: 955
          latestEpoch: 186271
          time_window: all
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````